


#include <stdio.h>
#include <avr/io.h>
#include <util/delay.h>



#define  DS3231_ADDRESS      0x68
#define  DS3231_REG_SEC		 0x00
#define  DS3231_REG_MIN		 0x01
#define  DS3231_REG_HOUR     0x02
#define  DS3231_REG_DOW		 0x03
#define  DS3231_REG_DATE     0x04
#define  DS3231_REG_MON		 0x05
#define  DS3231_REG_YEAR     0x06
#define  DS3231_REG_CON		 0x0E
#define  DS3231_REG_STATUS	 0x0F
#define  DS3231_REG_AGING	 0x10
#define  DS3231_REG_TEMPM	 0x11
#define  DS3231_REG_TEMPL	 0x12


// Convert normal decimal numbers to binary coded decimal
uint8_t decimalToBcd(uint8_t val);

// Convert binary coded decimal to normal decimal numbers
uint8_t bcdToDec(uint8_t val);



void DS3231_setTime(uint8_t second, uint8_t minute,uint8_t hour,
                    uint8_t dayOfWeek,
                    uint8_t dayOfMonth,
                    uint8_t month,
                    uint8_t year);

void DS3231_getTime(uint8_t *second, uint8_t *minute,
                    uint8_t *hour,
                    uint8_t *dayOfWeek,
                    uint8_t *dayOfMonth,
                    uint8_t *month,
                    uint8_t *year);


float DS3231_getTemperature(void);
